// creator  : weidu.exe (version 23100)
// argument : SHANDAL2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHANDAL2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #4 /* Triggers after states #: 25 26 30 31 even though they appear after this state */
~NumTimesTalkedTo(0)
Dead("Helshara")
Dead("Ithmeera")
Dead("Delorna")
~ THEN BEGIN 0 // from:
  SAY #23564 /* ~Meronia~ */
  IF ~~ THEN REPLY #23566 /* ~Meronia~ */ GOTO 1
  IF ~~ THEN REPLY #23567 /* ~I take it your name is Thumb?~ */ GOTO 2
  IF ~~ THEN REPLY #23568 /* ~What manner of place is this?~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #23569 /* ~I'd like a drink.~ */
  IF ~~ THEN REPLY #23570 /* ~I've got to be going, now.~ */ GOTO 3
  IF ~~ THEN REPLY #23571 /* ~Hes~ */ GOTO 2
  IF ~~ THEN REPLY #23572 /* ~Wouldn't we all, mate?  I be havin' all the finest sorts o' mead and ale... an' if I end up havin t' toss ye in a room upstairs, it costs ye extra.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 3.0 1.1 0.1
  SAY #23573 /* ~Hes~ */
  IF ~~ THEN REPLY #23579 /* ~Ah, if it don't be a familiar face.  Ye have returned to the Sea's Bounty, and the Thumb does bid ye welcome.  Does ye have a bit o' thirst, aye?~ */ GOTO 5
  IF ~~ THEN REPLY #23580 /* ~Garuk~ */ GOTO 4
  IF ~~ THEN REPLY #23581 /* ~Yes, I'd like a drink.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 1.2 1.0 0.2
  SAY #23574 /* ~The Thumb would tip 'is hat to ye, but I nearly took me eye out doin' that, so ye'll have t' forgive the lack.  Come back again... the Sea's Bounty welcomes all.~ */
  IF ~~ THEN REPLY #23575 /* ~Cultist Guard~ */ GOTO 2
  IF ~~ THEN REPLY #23576 /* ~Cultist Guard~ */ GOTO 4
  IF ~~ THEN REPLY #23577 /* ~Cultist~ */ GOTO 5
  IF ~~ THEN REPLY #23578 /* ~Cultist~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.1 2.1
  SAY #23582 /* ~Garuk~ */
  IF ~~ THEN DO ~SetGlobal("KillDaughter","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.2 2.0
  SAY #23583 /* ~No, actually, I'll be leaving again.~ */
  IF ~~ THEN DO ~SetGlobal("KillDaughter","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.3 2.2
  SAY #23584 /* ~You see a small bird flying through the branches of the aviary. You could catch it if you wish to.~ */
  IF ~~ THEN DO ~SetGlobal("KillDaughter","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 25 26 30 31 even though they appear after this state */
~NumTimesTalkedTo(0)
ReputationLT(LastTalkedToBy,6)
~ THEN BEGIN 7 // from:
  SAY #23585 /* ~Whatever the Thumb tells you about me, don't believe a word.~ */
  IF ~~ THEN REPLY #23586 /* ~Zaelas~ */ GOTO 8
  IF ~~ THEN REPLY #23587 /* ~The Thumb's full of a lot of stories, but he was really just a fisherman.  Got his hand cut off in a drunken brawl and won the bar in a bet, so I understand.~ */ GOTO 9
  IF ~~ THEN REPLY #23588 /* ~Zaelas~ */ GOTO 11
  IF ~~ THEN REPLY #23589 /* ~Catching the bird is surprisingly easy. When you reach for it, the bird flies straight to your hand and sits there calmly.~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #23590 /* ~I don't know why we get so many young nobles slumming here... you'd think they'd be smart enough to keep out of the Docks.~ */
  IF ~~ THEN REPLY #23593 /* ~If you'd like to order something, you should talk to the Thumb.~ */ GOTO 12
  IF ~~ THEN REPLY #23594 /* ~If he tries to sell you the apple blossom elven wine, don't let him.  It's mine.~ */ GOTO 13
  IF ~~ THEN REPLY #23595 /* ~There is nothing else of interest in the aviary.~ */ GOTO 14
END

IF ~~ THEN BEGIN 9 // from: 7.3 7.1
  SAY #23596 /* ~Tad~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #23597 /* ~Tad~ */
  IF ~~ THEN REPLY #23598 /* ~Please don't bother me.  I have enough trouble trying to keep a hook from constantly lifting my skirt.~ */ GOTO 12
  IF ~~ THEN REPLY #23599 /* ~"Oh, me mother went a'sailin'
And she became a captain too
She pulled her mate o'er her knees
And spanked 'im black an' blue!"~ */ GOTO 13
  IF ~~ THEN REPLY #23600 /* ~Beastmaster Key~ */ GOTO 14
END

IF ~~ THEN BEGIN 11 // from: 7.2
  SAY #23601 /* ~Beastmaster Key~ */
  IF ~~ THEN REPLY #23602 /* ~Rift Device Part~ */ GOTO 12
  IF ~~ THEN REPLY #23603 /* ~"The mate then ran ashore on leave
And cried an' cried all day
Said me mother was an orc
An' that she'd have t' pay!~ */ GOTO 13
  IF ~~ THEN REPLY #23604 /* ~Rift Device Part~ */ GOTO 14
END

IF ~~ THEN BEGIN 12 // from: 11.0 10.0 8.0
  SAY #23605 /* ~Rift Device~ */
  IF ~~ THEN DO ~SetGlobal("Evilsh","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1 10.1 8.1
  SAY #23606 /* ~Rift Device~ */
  IF ~~ THEN DO ~SetGlobal("Evilsh","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 11.2 10.2 8.2
  SAY #23607 /* ~Harper Bird~ */
  IF ~~ THEN DO ~SetGlobal("Evilsh","GLOBAL",1)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 25 26 30 31 even though they appear after this state */
~NumTimesTalkedTo(0)
ReputationGT(LastTalkedToBy,5)
~ THEN BEGIN 15 // from:
  SAY #23610 /* ~Harper Bird~ */
  IF ~~ THEN REPLY #23611 /* ~Harper Amulet~ */ GOTO 16
  IF ~~ THEN REPLY #23612 /* ~Harper Amulet~ */ GOTO 17
  IF ~~ THEN REPLY #23613 /* ~"The mate then roused up all th' crew
An' they cried out for 'er head
But me mother, she's a smart one
She jus' winked 'er eye an' said...~ */ GOTO 18
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #23614 /* ~"Johnny, ye're a dumb one,
Does ye think that I was blind?
If ye hadn't given reason
I'd ne'er spanked yer sore behind~ */
  IF ~~ THEN REPLY #23635 /* ~Ikert~ */ GOTO 19
  IF ~~ THEN REPLY #23636 /* ~Ikert~ */ GOTO 20
  IF ~~ THEN REPLY #23637 /* ~"An' that's why you'll hear Johnny cryyyyyin'
When the wiiiinds they start tooooo roooaaar!"~ */ GOTO 21
  IF ~~ THEN REPLY #23638 /* ~Jahaboam~ */ GOTO 22
END

IF ~~ THEN BEGIN 17 // from: 15.1
  SAY #23620 /* ~Rift Device~ */
  IF ~~ THEN REPLY #23640 /* ~This stool be mighty uncomfortable.  I ne'er know why they puts these in here.~ */ GOTO 19
  IF ~~ THEN REPLY #23641 /* ~Sailors an' thieves... Athkatla be full o' them both!~ */ GOTO 20
  IF ~~ THEN REPLY #23643 /* ~Renal the Bloodscalp be the word here in the Docks, mate.  Ye hears his name, ye stands up straight and pays yer respect, ye does.~ */ GOTO 21
  IF ~~ THEN REPLY #23644 /* ~I tells ya, I bets that the Thumb has some pirate treasure hidden, for sure.~ */ GOTO 22
END

IF ~~ THEN BEGIN 18 // from: 15.2
  SAY #23625 /* ~Rift Device~ */
  IF ~~ THEN REPLY #23630 /* ~"When the winds picked up an' tossed the ship
From yonder to an' fore
Ye went an' screamed jus' like a girl
An' forgot yer sailor lore~ */ GOTO 19
  IF ~~ THEN REPLY #23631 /* ~"Because when ye are a sailor,
Ye put other thoughts behind
Ye gives the ship yer courage
And ye pays yer fear no mind~ */ GOTO 20
  IF ~~ THEN REPLY #23632 /* ~"Well, the crew all did agree with her
They threw Johnny o'erboar'
And that's why you'll hear Johnny cryin'
When the winds they start to roar!~ */ GOTO 21
  IF ~~ THEN REPLY #23633 /* ~Altheia~ */ GOTO 22
END

IF ~~ THEN BEGIN 19 // from: 18.0 17.0 16.0
  SAY #23645 /* ~The Sea's Bounty be a fine an' grand place.  <hic!>  Hmm... where's my coin purse?~ */
  IF ~~ THEN REPLY #23649 /* ~Yes.~ */ GOTO 23
  IF ~~ THEN REPLY #23650 /* ~No.~ */ GOTO 24
END

IF ~~ THEN BEGIN 20 // from: 18.1 17.1 16.1
  SAY #23647 /* ~Mother and Father would never let me come here if they knew!  Hee hee!~ */
  IF ~~ THEN REPLY #23656 /* ~Someone told me, once, that there were Harpers here in the Docks.  How silly!  Everyone knows that Harpers only associate with the rich!~ */ GOTO 23
  IF ~~ THEN REPLY #23657 /* ~There was a bard who was playing wonderfully ribald songs, earlier.  I think he passed out behind the bar.  (sigh)~ */ GOTO 24
END

IF ~~ THEN BEGIN 21 // from: 18.2 17.2 16.2
  SAY #23659 /* ~This place does have a certain naughty charm!  My father would be irate if he saw me here!~ */
  IF ~~ THEN REPLY #23662 /* ~I bought a most wonderful necklace off a man in the street!  For diamonds, it was a fabulous bargain!~ */ GOTO 24
  IF ~~ THEN REPLY #23664 /* ~Copper Coronet Guard~ */ GOTO 23
END

IF ~~ THEN BEGIN 22 // from: 18.3 17.3 16.3
  SAY #23665 /* ~Eeeek!  Prebek!  Intruders!~ */
  IF ~~ THEN REPLY #23666 /* ~Copper Coronet Guard~ */ GOTO 24
  IF ~~ THEN REPLY #23667 /* ~No, Sanasha!  Remember what happened the last time?  Our master is testing us!~ */ GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 25.1 22.1 21.1 20.0 19.0
  SAY #23668 /* ~Testing us?  Again?~ */
  IF ~~ THEN DO ~SetGlobal("Waitsh","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 24 // from: 25.0 22.0 21.0 20.1 19.1
  SAY #23669 /* ~Yes!  You know that his cruelty knows no bounds!  Why, just the other day he pulled three of my toenails for miscasting a cantrip!~ */
  IF ~~ THEN DO ~SetGlobal("Goodsh","GLOBAL",1)
SetGlobal("Waitsh","GLOBAL",2)
GiveItem("MISC2H",LastTalkedToBy)
ActionOverride(Player1,LeaveAreaLUAPanic("AR1008","",[553.492],12))
ActionOverride(Player1,LeaveAreaLUA("AR1008","",[553.492],12))
ActionOverride(Player2,LeaveAreaLUA("AR1008","",[512.496],12))
ActionOverride(Player3,LeaveAreaLUA("AR1008","",[473.497],12))
ActionOverride(Player4,LeaveAreaLUA("AR1008","",[441.489],12))
ActionOverride(Player5,LeaveAreaLUA("AR1008","",[398.486],12))
ActionOverride(Player6,LeaveAreaLUA("AR1008","",[354.469],12))
~ EXIT
END

IF WEIGHT #0 ~Global("Waitsh","GLOBAL",1)
~ THEN BEGIN 25 // from:
  SAY #23670 /* ~Yes, I remember.  Well, you may be right... perhaps we should ask them?~ */
  IF ~~ THEN REPLY #23671 /* ~No!  The master would skin us and do his strange little dance on our hides if we fail his test!  Come on, let us attack!~ */ GOTO 24
  IF ~~ THEN REPLY #23672 /* ~Errr... alright.  Foul intruders!  We shall stop you for our master!~ */ GOTO 23
END

IF WEIGHT #1 ~Global("Goodsh","GLOBAL",1)
PartyHasItem("CLCK22")
~ THEN BEGIN 26 // from:
  SAY #23673 /* ~Yes!  We shall stop you!~ */
  IF ~~ THEN REPLY #23675 /* ~AAAAAHHHH!!~ */ GOTO 27
  IF ~~ THEN REPLY #23677 /* ~The Council keeps on raisin' taxes, not worryin' at all about us poor folk.  Pretty soon I won't be able to afford a single ale.~ */ GOTO 28
  IF ~~ THEN REPLY #23679 /* ~They say this be the City of Coin... and it be the last place ye want to be if ye have none.~ */ GOTO 29
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #23680 /* ~You have t' be careful of them bloody dogs around here.  Runnin' loose and chasing anyone down they please.~ */
  IF ~~ THEN DO ~TakePartyItem("CLCK22")
TakePartyItem("MISC2H")
AddexperienceParty(500)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END

IF ~~ THEN BEGIN 28 // from: 26.1
  SAY #23682 /* ~I've heard more than a few stories about that there circus over on the promenade... but I don't believe a none o' it.~ */
  IF ~~ THEN DO ~TakePartyItem("CLCK22")
TakePartyItem("MISC2H")
AddexperienceParty(500)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END

IF ~~ THEN BEGIN 29 // from: 26.2
  SAY #23683 /* ~Oh, aye, ye're the one who saved that circus in the promenade.  I heard o' ye.  Buy me an ale?~ */
  IF ~~ THEN DO ~TakePartyItem("CLCK22")
TakePartyItem("MISC2H")
AddexperienceParty(500)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END

IF WEIGHT #2 ~Global("Evilsh","GLOBAL",1)
PartyHasItem("CLCK22")
~ THEN BEGIN 30 // from:
  SAY #23684 /* ~Just a word o' caution... ye don't want to be dealin' too much with Lehtinan, there.  He's the evil sort, an' I don't use that term lightly.~ */
  IF ~~ THEN DO ~TakePartyItem("CLCK22")
TakePartyItem("MISC2H")
AddexperienceParty(500)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END

IF WEIGHT #3 ~Global("KillDaughter","GLOBAL",1)
PartyHasItem("CLCK22")
~ THEN BEGIN 31 // from:
  SAY #23685 /* ~Mmm.  How are you doing over there, darling?  The Black Lotus settling in, is it?~ */
  IF ~~ THEN DO ~TakePartyItem("CLCK22")
TakePartyItem("MISC2H")
AddexperienceParty(500)
ForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END
